### Function

# EDataServer time_parse_time

#### Declaration [src]

    ETimeParseStatus
    e_time_parse_time (
      const gchar* value,
      tm* result
    )

#### Description [src]

Parses `value`, a string containing a time. `value` is expected to be in a format like “14:20:00”. `gettext()` is used to support the appropriate local formats and slightly different formats, such as 12-hour formats with am/pm, are accepted as well.

#### Parameters

`value`

  Type: `const gchar*`

  The string to parse a time from.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`result`

  Type: `tm*`

  A #tm to store the result in.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ETimeParseStatus`

An `ETimeParseStatus` result code indicating whether `value` was an empty string, a valid date, or an invalid date.